[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.StretchBlt

Copies a rectangular region to a device context, shrinking or stretching it as needed.

## Declaration

Source position: winapih.inc line 275

`public function TWidgetSet.StretchBlt(`
`DestDC: HDC;`
`X: Integer;`
`Y: Integer;`
`Width: Integer;`
`Height: Integer;`
`SrcDC: HDC;`
`XSrc: Integer;`
`YSrc: Integer;`
`SrcWidth: Integer;`
`SrcHeight: Integer;`
`Rop: Cardinal`
`):Boolean; virtual;`

## Arguments

`DestDC` |  | The destination device context.
`X` |  | The destination origin.
`Y` |  | The destination origin.
`Width` |  | The destination extent.
`Height` |  | The destination extent.
`SrcDC` |  | The source device context.
`XSrc` |  | The source origin.
`YSrc` |  | The source origin.
`SrcWidth` |  | The source extent.
`SrcHeight` |  | The source extent.
`Rop` |  | The raster opcode (see BitBlt).

## Function result

False on failure.

## See also

TWidgetSet.StretchMaskBlt |  |
TWidgetSet.SetStretchBltMode |  | Sets the StrechBlt mode for an device context.
TWidgetSet.BitBlt |  | Copies part of a source DC into a destination DC, using the specified raster operation.